# PaymentMethod

PaymentMethod

## Get list of all payment methods available in Flow Retail

> Get list of all payment methods in flowRetail

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"PaymentMethodListResponse":{"content":{"application/json":{"schema":{"type":"object","required":["items"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"}}}}}},"description":"PaymentMethod list response"}},"schemas":{"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"PaymentMethodCodeENUM":{"enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"parameters":{"tenantUidQuery":{"description":"Reference to a tenant uid","name":"tenantUid","in":"query","required":false,"schema":{"$ref":"#/components/schemas/UID"}}}},"paths":{"/paymentmethods":{"get":{"description":"Get list of all payment methods in flowRetail","operationId":"get-paymentmethods","responses":{"200":{"$ref":"#/components/responses/PaymentMethodListResponse"}},"summary":"Get list of all payment methods available in Flow Retail","tags":["PaymentMethod"],"parameters":[{"$ref":"#/components/parameters/tenantUidQuery"}]}}}}
```

## List tenant payment methods

> List all payment methods available for tenant.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"},"tenantPaymentMethodVisibilityQuery":{"description":"Filter by visibility","in":"query","name":"visibility","schema":{"items":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"type":"array"}},"systemCodeQuery":{"description":"Reference to a system code","explode":false,"in":"query","name":"systemCode","schema":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"PaymentMethodVisibilityENUM":{"title":"PaymentMethodVisibilityENUM","type":"string","enum":["FEATURED","LISTED","HIDDEN","HIDDEN_WHEN_NOT_REQUIRED"]},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"TenantPaymentMethodResponseSchema":{"title":"TenantPaymentMethodResponseSchema","type":"object","required":["active","name","description","settlementCode","paymentMethod","allowRefund","tenantPaymentMethodUid","allowSale","allowPrepayment","allowCashback","parameters","externalSystemMappings","position","visibility","requirements","amountInput","useRounding"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"settlementCode":{"type":"string"},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"},"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterExtractResponseSchema"}},"externalSystemMappings":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"requirements":{"$ref":"#/components/schemas/PaymentMethodRequirementResponseSchema"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"}}},"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"PaymentMethodCodeENUM":{"enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodParameterExtractResponseSchema":{"title":"TenantPaymentMethodParameterExtractResponseSchema","description":"TenantPaymentMethodParameterExtractResponseSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"}},"required":["name","description","required","key","type","regex"]},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"PaymentMethodRequirementResponseSchema":{"title":"PaymentMethodRequirementResponseSchema","type":"object","description":"PaymentMethodRequirementResponseSchema","required":["requireCustomer","requireCustomerMobile","requireCustomerEmail","requireCustomerType","requireCustomerContact","requireExclusiveUse","requireRefundToSameMethod"],"properties":{"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"}}},"PaymentMethodCustomerTypeENUM":{"title":"PaymentMethodCustomerTypeENUM","type":"string","enum":["ANY","PERSON","COMPANY"]},"TenantPaymentMethodAmountInputENUM":{"title":"TenantPaymentMethodAmountInputENUM","type":"string","enum":["NONE","AUTOFILL_REMAINING","FORCE_REMAINING"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"TenantPaymentMethodListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/TenantPaymentMethodResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"TenantPaymentMethod list response"}}},"paths":{"/tenants/{tenantUid}/paymentmethods":{"get":{"description":"List all payment methods available for tenant.","operationId":"get-tenants-paymentmethods","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"},{"$ref":"#/components/parameters/tenantPaymentMethodVisibilityQuery"},{"$ref":"#/components/parameters/systemCodeQuery"}],"responses":{"200":{"$ref":"#/components/responses/TenantPaymentMethodListResponse"}},"summary":"List tenant payment methods","tags":["PaymentMethod"]}}}}
```

## Add a payment method to tenant

> Add a payment method to the tenant. \
> \
> For external payment methods, \`settlementCode\` is required. It must have the prefix \
> \`EXTERNAL\_\`.\
> \
> For all other payment methods, the payment code is used as the settlement code.\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"TenantPaymentMethodCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodCreateRequestSchema"}}}}},"schemas":{"TenantPaymentMethodCreateRequestSchema":{"title":"TenantPaymentMethodCreateRequestSchema","type":"object","required":["paymentMethodCode","position","visibility"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"Name of the payment method as it should be displayed on screen and receipts"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"settlementCode":{"type":"string"},"paymentMethodCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"PaymentMethodCodeENUM":{"enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"PaymentMethodVisibilityENUM":{"title":"PaymentMethodVisibilityENUM","type":"string","enum":["FEATURED","LISTED","HIDDEN","HIDDEN_WHEN_NOT_REQUIRED"]},"TenantPaymentMethodResponseSchema":{"title":"TenantPaymentMethodResponseSchema","type":"object","required":["active","name","description","settlementCode","paymentMethod","allowRefund","tenantPaymentMethodUid","allowSale","allowPrepayment","allowCashback","parameters","externalSystemMappings","position","visibility","requirements","amountInput","useRounding"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"settlementCode":{"type":"string"},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"},"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterExtractResponseSchema"}},"externalSystemMappings":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"requirements":{"$ref":"#/components/schemas/PaymentMethodRequirementResponseSchema"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"}}},"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"TenantPaymentMethodParameterExtractResponseSchema":{"title":"TenantPaymentMethodParameterExtractResponseSchema","description":"TenantPaymentMethodParameterExtractResponseSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"}},"required":["name","description","required","key","type","regex"]},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"PaymentMethodRequirementResponseSchema":{"title":"PaymentMethodRequirementResponseSchema","type":"object","description":"PaymentMethodRequirementResponseSchema","required":["requireCustomer","requireCustomerMobile","requireCustomerEmail","requireCustomerType","requireCustomerContact","requireExclusiveUse","requireRefundToSameMethod"],"properties":{"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"}}},"PaymentMethodCustomerTypeENUM":{"title":"PaymentMethodCustomerTypeENUM","type":"string","enum":["ANY","PERSON","COMPANY"]},"TenantPaymentMethodAmountInputENUM":{"title":"TenantPaymentMethodAmountInputENUM","type":"string","enum":["NONE","AUTOFILL_REMAINING","FORCE_REMAINING"]}},"responses":{"TenantPaymentMethodResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodResponseSchema"}}},"description":"Return a list of all paymentMethods in FlowRetail"}}},"paths":{"/tenants/{tenantUid}/paymentmethods":{"post":{"description":"Add a payment method to the tenant. \n\nFor external payment methods, `settlementCode` is required. It must have the prefix \n`EXTERNAL_`.\n\nFor all other payment methods, the payment code is used as the settlement code.\n\nRequired permissions: PAYMENT_METHOD","operationId":"post-tenants-paymentmethods","requestBody":{"$ref":"#/components/requestBodies/TenantPaymentMethodCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/TenantPaymentMethodResponse"}},"summary":"Add a payment method to tenant","tags":["PaymentMethod"]}}}}
```

## Get tenant paymentmethod  details

> Get paymentmethod details.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"TenantPaymentMethodResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodResponseSchema"}}},"description":"Return a list of all paymentMethods in FlowRetail"}},"schemas":{"TenantPaymentMethodResponseSchema":{"title":"TenantPaymentMethodResponseSchema","type":"object","required":["active","name","description","settlementCode","paymentMethod","allowRefund","tenantPaymentMethodUid","allowSale","allowPrepayment","allowCashback","parameters","externalSystemMappings","position","visibility","requirements","amountInput","useRounding"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"settlementCode":{"type":"string"},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"},"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterExtractResponseSchema"}},"externalSystemMappings":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"requirements":{"$ref":"#/components/schemas/PaymentMethodRequirementResponseSchema"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"}}},"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"PaymentMethodCodeENUM":{"enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodParameterExtractResponseSchema":{"title":"TenantPaymentMethodParameterExtractResponseSchema","description":"TenantPaymentMethodParameterExtractResponseSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"}},"required":["name","description","required","key","type","regex"]},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"PaymentMethodVisibilityENUM":{"title":"PaymentMethodVisibilityENUM","type":"string","enum":["FEATURED","LISTED","HIDDEN","HIDDEN_WHEN_NOT_REQUIRED"]},"PaymentMethodRequirementResponseSchema":{"title":"PaymentMethodRequirementResponseSchema","type":"object","description":"PaymentMethodRequirementResponseSchema","required":["requireCustomer","requireCustomerMobile","requireCustomerEmail","requireCustomerType","requireCustomerContact","requireExclusiveUse","requireRefundToSameMethod"],"properties":{"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"}}},"PaymentMethodCustomerTypeENUM":{"title":"PaymentMethodCustomerTypeENUM","type":"string","enum":["ANY","PERSON","COMPANY"]},"TenantPaymentMethodAmountInputENUM":{"title":"TenantPaymentMethodAmountInputENUM","type":"string","enum":["NONE","AUTOFILL_REMAINING","FORCE_REMAINING"]}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}":{"get":{"description":"Get paymentmethod details.","operationId":"get-tenants-paymentmethods-details","responses":{"200":{"$ref":"#/components/responses/TenantPaymentMethodResponse"}},"summary":"Get tenant paymentmethod  details","tags":["PaymentMethod"]}}}}
```

## Update paymentmethods details

> Update paymentmethod details for tenant.\
> \
> \`settlementCode\` can only be set and updated for EXTERNAL payment methods. It must have the prefix \
> \`EXTERNAL\_\`.\
> \
> For all other payment methods, the payment code is used as the settlement code.\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"TenantPaymentMethodUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodUpdateRequestSchema"}}}}},"schemas":{"TenantPaymentMethodUpdateRequestSchema":{"title":"TenantPaymentMethodUpdateRequestSchema","type":"object","properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"allowSale":{"type":"boolean"},"allowRefund":{"type":"boolean"},"allowCashback":{"type":"boolean"},"allowPrepayment":{"type":"boolean"},"settlementCode":{"type":"string"},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"},"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"}}},"PaymentMethodVisibilityENUM":{"title":"PaymentMethodVisibilityENUM","type":"string","enum":["FEATURED","LISTED","HIDDEN","HIDDEN_WHEN_NOT_REQUIRED"]},"TenantPaymentMethodAmountInputENUM":{"title":"TenantPaymentMethodAmountInputENUM","type":"string","enum":["NONE","AUTOFILL_REMAINING","FORCE_REMAINING"]},"PaymentMethodCustomerTypeENUM":{"title":"PaymentMethodCustomerTypeENUM","type":"string","enum":["ANY","PERSON","COMPANY"]},"TenantPaymentMethodResponseSchema":{"title":"TenantPaymentMethodResponseSchema","type":"object","required":["active","name","description","settlementCode","paymentMethod","allowRefund","tenantPaymentMethodUid","allowSale","allowPrepayment","allowCashback","parameters","externalSystemMappings","position","visibility","requirements","amountInput","useRounding"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"settlementCode":{"type":"string"},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"},"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterExtractResponseSchema"}},"externalSystemMappings":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"requirements":{"$ref":"#/components/schemas/PaymentMethodRequirementResponseSchema"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"}}},"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"PaymentMethodCodeENUM":{"enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodParameterExtractResponseSchema":{"title":"TenantPaymentMethodParameterExtractResponseSchema","description":"TenantPaymentMethodParameterExtractResponseSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"}},"required":["name","description","required","key","type","regex"]},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"PaymentMethodRequirementResponseSchema":{"title":"PaymentMethodRequirementResponseSchema","type":"object","description":"PaymentMethodRequirementResponseSchema","required":["requireCustomer","requireCustomerMobile","requireCustomerEmail","requireCustomerType","requireCustomerContact","requireExclusiveUse","requireRefundToSameMethod"],"properties":{"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"}}}},"responses":{"TenantPaymentMethodResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TenantPaymentMethodResponseSchema"}}},"description":"Return a list of all paymentMethods in FlowRetail"}}},"paths":{"/tenants/{tenantUid}/paymentmethods/{tenantPaymentMethodUid}":{"put":{"description":"Update paymentmethod details for tenant.\n\n`settlementCode` can only be set and updated for EXTERNAL payment methods. It must have the prefix \n`EXTERNAL_`.\n\nFor all other payment methods, the payment code is used as the settlement code.\n\nRequired permissions: PAYMENT_METHOD","operationId":"put-tenants-paymentmethods-details","requestBody":{"$ref":"#/components/requestBodies/TenantPaymentMethodUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/TenantPaymentMethodResponse"}},"summary":"Update paymentmethods details","tags":["PaymentMethod"]}}}}
```

## List store payment methods

> Get list of payment methods for store.\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"storePaymentMethodCodeQuery":{"description":"Reference to a payment method code","in":"query","name":"storePaymentMethodCode","schema":{"items":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"},"type":"array"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"PaymentMethodCodeENUM":{"enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"StorePaymentMethodResponseSchema":{"description":"","properties":{"active":{"type":"boolean"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"},"storePaymentMethodUid":{"$ref":"#/components/schemas/UID"},"storeSettlementIssuers":{"description":"Bool indication there are storeSettlementIssuer records on this storePaymentMethod","type":"boolean"},"tenantPaymentMethod":{"$ref":"#/components/schemas/TenantPaymentMethodResponseSchema"}},"required":["storePaymentMethodUid","ledgerType","ledgerNumber","storeSettlementIssuers","active","tenantPaymentMethod"],"title":"StorePaymentMethodResponseSchema","type":"object"},"LedgerTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n|LEDGER | Ledger |\n|GENERAL_LEDGER | General ledger |\n|CUSTOMER_LEDGER | Customer ledger |","enum":["LEDGER","GENERAL_LEDGER","CUSTOMER_LEDGER"],"title":"LedgerTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodResponseSchema":{"title":"TenantPaymentMethodResponseSchema","type":"object","required":["active","name","description","settlementCode","paymentMethod","allowRefund","tenantPaymentMethodUid","allowSale","allowPrepayment","allowCashback","parameters","externalSystemMappings","position","visibility","requirements","amountInput","useRounding"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"settlementCode":{"type":"string"},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"},"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterExtractResponseSchema"}},"externalSystemMappings":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"requirements":{"$ref":"#/components/schemas/PaymentMethodRequirementResponseSchema"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"}}},"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"TenantPaymentMethodParameterExtractResponseSchema":{"title":"TenantPaymentMethodParameterExtractResponseSchema","description":"TenantPaymentMethodParameterExtractResponseSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"}},"required":["name","description","required","key","type","regex"]},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"PaymentMethodVisibilityENUM":{"title":"PaymentMethodVisibilityENUM","type":"string","enum":["FEATURED","LISTED","HIDDEN","HIDDEN_WHEN_NOT_REQUIRED"]},"PaymentMethodRequirementResponseSchema":{"title":"PaymentMethodRequirementResponseSchema","type":"object","description":"PaymentMethodRequirementResponseSchema","required":["requireCustomer","requireCustomerMobile","requireCustomerEmail","requireCustomerType","requireCustomerContact","requireExclusiveUse","requireRefundToSameMethod"],"properties":{"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"}}},"PaymentMethodCustomerTypeENUM":{"title":"PaymentMethodCustomerTypeENUM","type":"string","enum":["ANY","PERSON","COMPANY"]},"TenantPaymentMethodAmountInputENUM":{"title":"TenantPaymentMethodAmountInputENUM","type":"string","enum":["NONE","AUTOFILL_REMAINING","FORCE_REMAINING"]},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"StorePaymentMethodListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/StorePaymentMethodResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"StorePaymentMethod list response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/paymentmethods":{"get":{"description":"Get list of payment methods for store.\n\nRequired permissions: PAYMENT_METHOD","operationId":"get-tenants-stores-paymentmethods","parameters":[{"$ref":"#/components/parameters/storePaymentMethodCodeQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/StorePaymentMethodListResponse"}},"summary":"List store payment methods","tags":["PaymentMethod"]}}}}
```

## Add a payment method to a store

> Add a payment method to a store\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"StorePaymentMethodCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePaymentMethodCreateRequestSchema"}}}}},"schemas":{"StorePaymentMethodCreateRequestSchema":{"title":"StorePaymentMethodCreateRequestSchema","type":"object","properties":{"active":{"type":"boolean"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"storePaymentMethodUid":{"$ref":"#/components/schemas/UID"}},"required":["tenantPaymentMethodUid"]},"LedgerTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n|LEDGER | Ledger |\n|GENERAL_LEDGER | General ledger |\n|CUSTOMER_LEDGER | Customer ledger |","enum":["LEDGER","GENERAL_LEDGER","CUSTOMER_LEDGER"],"title":"LedgerTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"StorePaymentMethodResponseSchema":{"description":"","properties":{"active":{"type":"boolean"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"},"storePaymentMethodUid":{"$ref":"#/components/schemas/UID"},"storeSettlementIssuers":{"description":"Bool indication there are storeSettlementIssuer records on this storePaymentMethod","type":"boolean"},"tenantPaymentMethod":{"$ref":"#/components/schemas/TenantPaymentMethodResponseSchema"}},"required":["storePaymentMethodUid","ledgerType","ledgerNumber","storeSettlementIssuers","active","tenantPaymentMethod"],"title":"StorePaymentMethodResponseSchema","type":"object"},"TenantPaymentMethodResponseSchema":{"title":"TenantPaymentMethodResponseSchema","type":"object","required":["active","name","description","settlementCode","paymentMethod","allowRefund","tenantPaymentMethodUid","allowSale","allowPrepayment","allowCashback","parameters","externalSystemMappings","position","visibility","requirements","amountInput","useRounding"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"settlementCode":{"type":"string"},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"},"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterExtractResponseSchema"}},"externalSystemMappings":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"requirements":{"$ref":"#/components/schemas/PaymentMethodRequirementResponseSchema"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"}}},"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"PaymentMethodCodeENUM":{"enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"TenantPaymentMethodParameterExtractResponseSchema":{"title":"TenantPaymentMethodParameterExtractResponseSchema","description":"TenantPaymentMethodParameterExtractResponseSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"}},"required":["name","description","required","key","type","regex"]},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"PaymentMethodVisibilityENUM":{"title":"PaymentMethodVisibilityENUM","type":"string","enum":["FEATURED","LISTED","HIDDEN","HIDDEN_WHEN_NOT_REQUIRED"]},"PaymentMethodRequirementResponseSchema":{"title":"PaymentMethodRequirementResponseSchema","type":"object","description":"PaymentMethodRequirementResponseSchema","required":["requireCustomer","requireCustomerMobile","requireCustomerEmail","requireCustomerType","requireCustomerContact","requireExclusiveUse","requireRefundToSameMethod"],"properties":{"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"}}},"PaymentMethodCustomerTypeENUM":{"title":"PaymentMethodCustomerTypeENUM","type":"string","enum":["ANY","PERSON","COMPANY"]},"TenantPaymentMethodAmountInputENUM":{"title":"TenantPaymentMethodAmountInputENUM","type":"string","enum":["NONE","AUTOFILL_REMAINING","FORCE_REMAINING"]}},"responses":{"StorePaymentMethodResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePaymentMethodResponseSchema"}}},"description":"StorePaymentMethod response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/paymentmethods":{"post":{"description":"Add a payment method to a store\n\nRequired permissions: PAYMENT_METHOD","operationId":"post-tenants-stores-paymentmethods","requestBody":{"$ref":"#/components/requestBodies/StorePaymentMethodCreateRequest"},"responses":{"200":{"$ref":"#/components/responses/StorePaymentMethodResponse"}},"summary":"Add a payment method to a store","tags":["PaymentMethod"]}}}}
```

## Get details of a payment method for store

> Get details of a payment method for store\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StorePaymentMethodResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePaymentMethodResponseSchema"}}},"description":"StorePaymentMethod response"}},"schemas":{"StorePaymentMethodResponseSchema":{"description":"","properties":{"active":{"type":"boolean"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"},"storePaymentMethodUid":{"$ref":"#/components/schemas/UID"},"storeSettlementIssuers":{"description":"Bool indication there are storeSettlementIssuer records on this storePaymentMethod","type":"boolean"},"tenantPaymentMethod":{"$ref":"#/components/schemas/TenantPaymentMethodResponseSchema"}},"required":["storePaymentMethodUid","ledgerType","ledgerNumber","storeSettlementIssuers","active","tenantPaymentMethod"],"title":"StorePaymentMethodResponseSchema","type":"object"},"LedgerTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n|LEDGER | Ledger |\n|GENERAL_LEDGER | General ledger |\n|CUSTOMER_LEDGER | Customer ledger |","enum":["LEDGER","GENERAL_LEDGER","CUSTOMER_LEDGER"],"title":"LedgerTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodResponseSchema":{"title":"TenantPaymentMethodResponseSchema","type":"object","required":["active","name","description","settlementCode","paymentMethod","allowRefund","tenantPaymentMethodUid","allowSale","allowPrepayment","allowCashback","parameters","externalSystemMappings","position","visibility","requirements","amountInput","useRounding"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"settlementCode":{"type":"string"},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"},"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterExtractResponseSchema"}},"externalSystemMappings":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"requirements":{"$ref":"#/components/schemas/PaymentMethodRequirementResponseSchema"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"}}},"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"PaymentMethodCodeENUM":{"enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"TenantPaymentMethodParameterExtractResponseSchema":{"title":"TenantPaymentMethodParameterExtractResponseSchema","description":"TenantPaymentMethodParameterExtractResponseSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"}},"required":["name","description","required","key","type","regex"]},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"PaymentMethodVisibilityENUM":{"title":"PaymentMethodVisibilityENUM","type":"string","enum":["FEATURED","LISTED","HIDDEN","HIDDEN_WHEN_NOT_REQUIRED"]},"PaymentMethodRequirementResponseSchema":{"title":"PaymentMethodRequirementResponseSchema","type":"object","description":"PaymentMethodRequirementResponseSchema","required":["requireCustomer","requireCustomerMobile","requireCustomerEmail","requireCustomerType","requireCustomerContact","requireExclusiveUse","requireRefundToSameMethod"],"properties":{"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"}}},"PaymentMethodCustomerTypeENUM":{"title":"PaymentMethodCustomerTypeENUM","type":"string","enum":["ANY","PERSON","COMPANY"]},"TenantPaymentMethodAmountInputENUM":{"title":"TenantPaymentMethodAmountInputENUM","type":"string","enum":["NONE","AUTOFILL_REMAINING","FORCE_REMAINING"]}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}":{"get":{"description":"Get details of a payment method for store\n\nRequired permissions: PAYMENT_METHOD","operationId":"get-tenants-stores-paymentmethods-details","responses":{"200":{"$ref":"#/components/responses/StorePaymentMethodResponse"}},"summary":"Get details of a payment method for store","tags":["PaymentMethod"]}}}}
```

## Update a payment method for a store

> Update a payment method for a store\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"StorePaymentMethodUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePaymentMethodUpdateRequestSchema"}}}}},"schemas":{"StorePaymentMethodUpdateRequestSchema":{"title":"StorePaymentMethodUpdateRequestSchema","properties":{"active":{"type":"boolean"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"}},"type":"object"},"LedgerTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n|LEDGER | Ledger |\n|GENERAL_LEDGER | General ledger |\n|CUSTOMER_LEDGER | Customer ledger |","enum":["LEDGER","GENERAL_LEDGER","CUSTOMER_LEDGER"],"title":"LedgerTypeENUM","type":"string"},"StorePaymentMethodResponseSchema":{"description":"","properties":{"active":{"type":"boolean"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"},"storePaymentMethodUid":{"$ref":"#/components/schemas/UID"},"storeSettlementIssuers":{"description":"Bool indication there are storeSettlementIssuer records on this storePaymentMethod","type":"boolean"},"tenantPaymentMethod":{"$ref":"#/components/schemas/TenantPaymentMethodResponseSchema"}},"required":["storePaymentMethodUid","ledgerType","ledgerNumber","storeSettlementIssuers","active","tenantPaymentMethod"],"title":"StorePaymentMethodResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"TenantPaymentMethodResponseSchema":{"title":"TenantPaymentMethodResponseSchema","type":"object","required":["active","name","description","settlementCode","paymentMethod","allowRefund","tenantPaymentMethodUid","allowSale","allowPrepayment","allowCashback","parameters","externalSystemMappings","position","visibility","requirements","amountInput","useRounding"],"properties":{"active":{"type":"boolean"},"name":{"type":"string","description":"The name will be displayed in the clients and on the receipt"},"description":{"type":"string","description":"A description of the payment method, shown in the client"},"settlementCode":{"type":"string"},"paymentMethod":{"$ref":"#/components/schemas/PaymentMethodResponseSchema"},"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"tenantPaymentMethodUid":{"$ref":"#/components/schemas/UID"},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodParameterExtractResponseSchema"}},"externalSystemMappings":{"type":"array","items":{"$ref":"#/components/schemas/TenantPaymentMethodMappingResponseSchema"}},"position":{"type":"integer","description":"order of appearance in lists"},"visibility":{"$ref":"#/components/schemas/PaymentMethodVisibilityENUM"},"requirements":{"$ref":"#/components/schemas/PaymentMethodRequirementResponseSchema"},"amountInput":{"$ref":"#/components/schemas/TenantPaymentMethodAmountInputENUM"},"useRounding":{"type":"boolean"}}},"PaymentMethodResponseSchema":{"title":"PaymentMethodResponseSchema","type":"object","required":["allowRefund","allowSale","allowAmount","allowCashback","allowPrepayment","requireExclusiveUse","name","parameters","paymentCode"],"properties":{"allowRefund":{"type":"boolean","description":"if true, paymentMethod can be used when settling a refund."},"allowSale":{"type":"boolean","description":"if true, paymentMethod can be used when settling a sale."},"allowAmount":{"type":"boolean","description":"if true, settled amount can be != remainingAmount set when settling a sale."},"allowCashback":{"type":"boolean","description":"if true, settlement amount can be higher than remainingAmount when settling a sale."},"allowPrepayment":{"type":"boolean","description":"if true, payment method is allowed as a prepayment settlement"},"requireExclusiveUse":{"type":"boolean","description":"defines whether or not the payment method can be used in combination with other payment methods."},"name":{"type":"string"},"parameters":{"type":"array","items":{"$ref":"#/components/schemas/PaymentMethodParameterSchema"}},"paymentCode":{"$ref":"#/components/schemas/PaymentMethodCodeENUM"}}},"PaymentMethodParameterSchema":{"description":"PaymentMethodParameter","properties":{"key":{"type":"string"},"keyType":{"$ref":"#/components/schemas/PaymentMethodParameterTypeENUM"},"name":{"type":"string"},"required":{"type":"boolean"}},"required":["keyType","key","name","required"],"title":"PaymentMethodParameterSchema","type":"object"},"PaymentMethodParameterTypeENUM":{"description":"","enum":["TEXT","INTEGER","DATE","MOBILE","MODULUS10","MODULUS11"],"title":"PaymentMethodParameterTypeENUM","type":"string"},"PaymentMethodCodeENUM":{"enum":["CASH","INVOICE","VIPPS","ADYEN_CARD","PAYEX_CARD","SANTANDER","EXTERNAL","TRANSFER_MONEY","FLOWGIFTCARD","STORE_CREDIT","STRIPE_CARD","TWO_INVOICE","NETS_CARD","VERIFONE_CARD","FOREIGN_CASH","SWISH","DINTERO_PAYMENT_LINK","BRITANNIA","PREPAYMENT","SOFTPAY_CARD","PAYMENT_GATEWAY","LOYALTY_POINTS","PAYEX_GIFTCARD"],"title":"PaymentMethodCodeENUM","type":"string"},"TenantPaymentMethodParameterExtractResponseSchema":{"title":"TenantPaymentMethodParameterExtractResponseSchema","description":"TenantPaymentMethodParameterExtractResponseSchema","type":"object","properties":{"name":{"type":"string"},"description":{"type":"string"},"required":{"type":"boolean"},"key":{"type":"string"},"type":{"$ref":"#/components/schemas/TenantPaymentMethodParameterTypeENUM"},"regex":{"type":"string","description":"regular expression"}},"required":["name","description","required","key","type","regex"]},"TenantPaymentMethodParameterTypeENUM":{"title":"TenantPaymentMethodParameterTypeENUM","type":"string","enum":["TEXT","INTEGER","NUMERIC","DATE","MOBILE","MODULUS10","MODULUS11"]},"TenantPaymentMethodMappingResponseSchema":{"title":"TenantPaymentMethodMappingResponseSchema","allOf":[{"$ref":"#/components/schemas/GeneralMappingResponseSchema"},{"type":"object","required":["tenantPaymentMethodMappingUid"],"properties":{"tenantPaymentMethodMappingUid":{"type":"string"}}}]},"GeneralMappingResponseSchema":{"title":"GeneralMappingResponseSchema","type":"object","required":["systemCode","externalId"],"properties":{"systemCode":{"$ref":"#/components/schemas/ExternalSystemCodeENUM"},"externalId":{"type":"string"}}},"ExternalSystemCodeENUM":{"title":"ExternalSystemCodeENUM","type":"string","enum":["OMNIUM","ORDER_IMPORT","PROFRAKT"]},"PaymentMethodVisibilityENUM":{"title":"PaymentMethodVisibilityENUM","type":"string","enum":["FEATURED","LISTED","HIDDEN","HIDDEN_WHEN_NOT_REQUIRED"]},"PaymentMethodRequirementResponseSchema":{"title":"PaymentMethodRequirementResponseSchema","type":"object","description":"PaymentMethodRequirementResponseSchema","required":["requireCustomer","requireCustomerMobile","requireCustomerEmail","requireCustomerType","requireCustomerContact","requireExclusiveUse","requireRefundToSameMethod"],"properties":{"requireCustomer":{"type":"boolean"},"requireCustomerMobile":{"type":"boolean"},"requireCustomerEmail":{"type":"boolean"},"requireCustomerType":{"$ref":"#/components/schemas/PaymentMethodCustomerTypeENUM"},"requireCustomerContact":{"type":"boolean"},"requireExclusiveUse":{"type":"boolean"},"requireRefundToSameMethod":{"type":"boolean"}}},"PaymentMethodCustomerTypeENUM":{"title":"PaymentMethodCustomerTypeENUM","type":"string","enum":["ANY","PERSON","COMPANY"]},"TenantPaymentMethodAmountInputENUM":{"title":"TenantPaymentMethodAmountInputENUM","type":"string","enum":["NONE","AUTOFILL_REMAINING","FORCE_REMAINING"]}},"responses":{"StorePaymentMethodResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StorePaymentMethodResponseSchema"}}},"description":"StorePaymentMethod response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}":{"put":{"description":"Update a payment method for a store\n\nRequired permissions: PAYMENT_METHOD","operationId":"put-tenants-stores-paymentmethods-details","requestBody":{"$ref":"#/components/requestBodies/StorePaymentMethodUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/StorePaymentMethodResponse"}},"summary":"Update a payment method for a store","tags":["PaymentMethod"]}}}}
```

## Get list of issuers for a settlement on a store

> Get list of issuers for a settlement on a store

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"StoreSettlementIssuerResponseSchema":{"description":"","properties":{"code":{"type":"string"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"},"name":{"type":"string"},"storeSettlementIssuerUid":{"$ref":"#/components/schemas/UID"}},"required":["storeSettlementIssuerUid","ledgerType","ledgerNumber","name","code"],"title":"StoreSettlementIssuerResponseSchema","type":"object"},"LedgerTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n|LEDGER | Ledger |\n|GENERAL_LEDGER | General ledger |\n|CUSTOMER_LEDGER | Customer ledger |","enum":["LEDGER","GENERAL_LEDGER","CUSTOMER_LEDGER"],"title":"LedgerTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"StoreSettlementIssuerListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/StoreSettlementIssuerResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"StorePaymentMethodIssuer list response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers":{"get":{"description":"Get list of issuers for a settlement on a store","operationId":"get-tenants-stores-paymentmethods-settlementissuers","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/StoreSettlementIssuerListResponse"}},"summary":"Get list of issuers for a settlement on a store","tags":["PaymentMethod"]}}}}
```

## Get details of an issuer for a settlement on a store

> Get details of an issuer for a settlement on a store

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"StoreSettlementIssuerResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreSettlementIssuerResponseSchema"}}},"description":"StorePaymentMethodIssuer response"}},"schemas":{"StoreSettlementIssuerResponseSchema":{"description":"","properties":{"code":{"type":"string"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"},"name":{"type":"string"},"storeSettlementIssuerUid":{"$ref":"#/components/schemas/UID"}},"required":["storeSettlementIssuerUid","ledgerType","ledgerNumber","name","code"],"title":"StoreSettlementIssuerResponseSchema","type":"object"},"LedgerTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n|LEDGER | Ledger |\n|GENERAL_LEDGER | General ledger |\n|CUSTOMER_LEDGER | Customer ledger |","enum":["LEDGER","GENERAL_LEDGER","CUSTOMER_LEDGER"],"title":"LedgerTypeENUM","type":"string"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers/{storeSettlementIssuerUid}":{"get":{"description":"Get details of an issuer for a settlement on a store","operationId":"get-tenants-stores-paymentmethods-settlementissuers-details","responses":{"200":{"$ref":"#/components/responses/StoreSettlementIssuerResponse"}},"summary":"Get details of an issuer for a settlement on a store","tags":["PaymentMethod"]}}}}
```

## Update details of an issuer for a settlement on a store

> Update details of an issuer for a settlement on a store\
> \
> Required permissions: PAYMENT\_METHOD

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"PaymentMethod","description":"PaymentMethod"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"StoreSettlementIssuerUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreSettlementIssuerUpdateRequestSchema"}}}}},"schemas":{"StoreSettlementIssuerUpdateRequestSchema":{"title":"StoreSettlementIssuerUpdateRequestSchema","properties":{"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"}},"type":"object"},"LedgerTypeENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n|LEDGER | Ledger |\n|GENERAL_LEDGER | General ledger |\n|CUSTOMER_LEDGER | Customer ledger |","enum":["LEDGER","GENERAL_LEDGER","CUSTOMER_LEDGER"],"title":"LedgerTypeENUM","type":"string"},"StoreSettlementIssuerResponseSchema":{"description":"","properties":{"code":{"type":"string"},"ledgerNumber":{"description":"Ledger number must be a valid number with possible leading zeros","type":"string"},"ledgerType":{"$ref":"#/components/schemas/LedgerTypeENUM"},"name":{"type":"string"},"storeSettlementIssuerUid":{"$ref":"#/components/schemas/UID"}},"required":["storeSettlementIssuerUid","ledgerType","ledgerNumber","name","code"],"title":"StoreSettlementIssuerResponseSchema","type":"object"},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"StoreSettlementIssuerResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/StoreSettlementIssuerResponseSchema"}}},"description":"StorePaymentMethodIssuer response"}}},"paths":{"/tenants/{tenantUid}/stores/{storeUid}/paymentmethods/{storePaymentMethodUid}/settlementissuers/{storeSettlementIssuerUid}":{"put":{"operationId":"put-tenants-stores-paymentmethods-settlementissuers-details","description":"Update details of an issuer for a settlement on a store\n\nRequired permissions: PAYMENT_METHOD","requestBody":{"$ref":"#/components/requestBodies/StoreSettlementIssuerUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/StoreSettlementIssuerResponse"}},"summary":"Update details of an issuer for a settlement on a store","tags":["PaymentMethod"]}}}}
```
